Cyberduck Mountain Duck CLI

#11676 closed defect (fixed)

Synchronisation of a large folder takes ages to complete

Reported by: mvdkroef Owned by: dkocher
Priority: high Milestone: 7.9.1
Component: core Version: 7.9.0
Severity: major Keywords:
Cc: Architecture:
Platform: macOS 10.14

Description

Since the version 7.9.0 synchronisation of a large folder takes hours instead a less than a minute in the old version.

A fresh install didn't help to solve the problem. When creating a log of sync process, i notice that the files in the folder are scanned several times. After a few minutes a stopped the sync and found that the filenames where accessed several honderd times.

Please help to solve this problem.

Attachments (1)

cyberduck.log (75.9 MB) - added by mvdkroef on May 16, 2021 at 8:12:59 PM.
log file of the sync proces

Change History (6)

Changed on May 16, 2021 at 8:12:59 PM by mvdkroef

log file of the sync proces

comment:1 follow-up: Changed on May 16, 2021 at 8:27:06 PM by mvdkroef

I reinstalled Version 7.8.5 (34493) and the synchronisation works fine.

comment:2 in reply to: ↑ 1 Changed on May 17, 2021 at 6:23:11 AM by dkocher

  • Milestone set to 7.9.1
  • Owner set to dkocher
  • Status changed from new to assigned

Replying to mvdkroef:

I reinstalled Version 7.8.5 (34493) and the synchronisation works fine.

Thanks for confirming the fix.

comment:3 Changed on May 17, 2021 at 6:23:20 AM by dkocher

  • Summary changed from Synchronisation of a large folder takes ages to complete in new Cyberduck to Synchronisation of a large folder takes ages to complete

comment:4 follow-up: Changed on May 17, 2021 at 6:23:58 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r51281.

comment:5 in reply to: ↑ 4 Changed on May 25, 2021 at 12:35:12 PM by dkocher

Replying to dkocher:

In r51281.

Additional fixes as part of #11679.

Note: See TracTickets for help on using tickets.